
Foreman - Bug #14252

Creating a new organization redirects to list rather than host assignment and edit properties

03/17/2016 11:59 AM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Organizations and Locations   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1317846 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3368

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1317846

Description of problem:

In 6.1 when we create new organization we have process described in UI (1)Create Organization-> 2)Select Hosts -> 3)Edit

Properties), so we have access to bunch of organization properties in time of entity creation procedure, not editing

In 6.2 when we input name for new organization and push 'submit' button we get entity created right away without possibility to

change something for its properties.

If that is intended behavior then we still have a defect as mentioned process (1)Create Organization-> 2)Select Hosts -> 3)Edit

Properties) is still visible in UI like workflow is changed, but some parts was forgotten to be removed

Version-Release number of selected component (if applicable):

6.2 SNAP 3.1

How reproducible:

Always

Steps to Reproduce:

1. Try to create new organization in UI

Actual results:

Entity created and no access to change any organization property

Expected results:

User has access to organization properties in time of creation procedure

Or

UI should be changed, so he/she didn't expect that such operation can be performed

Additional info:

Related issues:

Related to Foreman - Bug #14369: When creating new organization, host selecti... Closed 03/29/2016

Associated revisions

Revision 12dd1387 - 03/28/2016 07:11 AM - Shimon Shtein

Fixes #14252 - Redirecting to edit taxonomy page if no hosts to assign

History

#1 - 03/17/2016 12:10 PM - Dominic Cleal

- Subject changed from Cannot work with properties when create new organization to Creating a new organization redirects to list rather than host

assignment and edit properties

- Category set to Organizations and Locations

This might just when a current org/loc is selected, count_nil_hosts is incorrectly calculated as the number of hosts without an org/loc because it isn't
unscoped.  Working in any context ought to avoid the bug.  Can't confirm without corresponding debug, preferably SQL logs though.

The wizard ought to still skip step 2 (host assignment) and move to edit if no hosts are available, rather than redirecting to the index.

#2 - 03/27/2016 07:27 AM - Shimon Shtein

- Assignee set to Shimon Shtein

As far as I can see count_nil_hosts calculates its value by invoking Host.where(taxonomy_id => nil).count

which is unscoped, unless we set a default scope on host...

Right now the system will move to the second step only if there are hosts that are not assigned to any organization.

Anyway I will add a bypass to move to the third step from the first one, when count_nil_hosts == 0.

#3 - 03/27/2016 08:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3368 added

#4 - 03/28/2016 08:01 AM - Shimon Shtein

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 12dd1387797666cdad795f650e8247c72547073b.

#5 - 03/29/2016 03:15 AM - Dominic Cleal

Shimon Shtein wrote:

As far as I can see count_nil_hosts calculates its value by invoking Host.where(taxonomy_id => nil).count

which is unscoped, unless we set a default scope on host...

 There's a default scope on hosts and all other taxonomy-constrained objects, so it's not unscoped.

#6 - 03/29/2016 04:09 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#7 - 03/29/2016 04:28 AM - Shimon Shtein

- Related to Bug #14369: When creating new organization, host selection step won't show, if the user is n context of different organization. added
